Bug 1280316 - make pcs compatible with python3
make pcs compatible with python3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pcs (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Jelinek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2015-11-11 08:16 EST by Tomas Jelinek
Modified: 2016-04-15 17:34 EDT (History)
5 users (show)

See Also:
Fixed In Version: pcs-0.9.150-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-15 17:34:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix (400.99 KB, patch)
2015-11-11 08:17 EST, Tomas Jelinek
no flags Details | Diff
more fixes (3.71 KB, patch)
2016-04-11 09:34 EDT, Tomas Jelinek
no flags Details | Diff

  None (edit)
Description Tomas Jelinek 2015-11-11 08:16:38 EST
make pcs compatible with python3
https://fedoraproject.org/wiki/Changes/Python_3_as_Default
Comment 1 Tomas Jelinek 2015-11-11 08:17 EST
Created attachment 1092712 [details]
proposed fix
Comment 2 Fedora Update System 2016-02-18 08:13:51 EST
pcs-0.9.149-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b4ad76ca12
Comment 3 Fedora Update System 2016-02-21 12:59:54 EST
pcs-0.9.149-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b4ad76ca12
Comment 4 Fedora Update System 2016-02-23 04:42:18 EST
pcs-0.9.149-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cdd4228cc7
Comment 5 Jan Kurik 2016-02-24 08:56:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Fedora Update System 2016-02-24 16:52:05 EST
pcs-0.9.149-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cdd4228cc7
Comment 7 Fedora Update System 2016-03-03 15:25:50 EST
pcs-0.9.149-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Petr Viktorin 2016-04-05 07:27:58 EDT
The current RPM (pcs-0.9.149-2.fc24) depends on /usr/bin/python rather than /usr/bin/python3. The Python packaging guidelines say that Python 3 should be preferred if the package supports it.

It's not clear if the update was supposed to fix that; should I file a new bug? Or add some more info here?
Comment 9 Tomas Jelinek 2016-04-08 04:07:34 EDT
We will fix it in the next fc24 build, thanks for reporting this.
Comment 10 Tomas Jelinek 2016-04-11 09:34 EDT
Created attachment 1145999 [details]
more fixes
Comment 11 Fedora Update System 2016-04-11 10:21:30 EDT
pcs-0.9.150-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e76b5b9e22
Comment 12 Fedora Update System 2016-04-12 06:53:12 EDT
pcs-0.9.150-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e76b5b9e22
Comment 13 Fedora Update System 2016-04-15 17:34:26 EDT
pcs-0.9.150-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.